uniform sampler2D texture ;
uniform sampler2DRect texture_rect ;

void main(void) {
  vec4 texel = texture2D(texture, gl_TexCoord[0].st) ;
  // vec4 texel = texture2DRect(texture_rect, gl_TexCoord[0].st) ;

  vec3 scaledColor = texel.rgb * vec3(0.30, 0.59, 0.11) ;
  float luminance = scaledColor.r + scaledColor.g + scaledColor.b ;

  // uncomment one of the following lines:

  // "normal"
  // gl_FragColor = texel.rgba ;

  // dimmed
  // gl_FragColor = texel.rgba * vec4(0.9,0.9,0.9,1.0) ;

  // color invert
  // gl_FragColor = vec4(1.0-texel.r, 1.0-texel.g, 1.0-texel.b, texel.a) ;

  // grayscale
  gl_FragColor = vec4(luminance, luminance, luminance, texel.a) ;

  // grayscale invert
  // gl_FragColor = vec4(1.0-luminance, 1.0-luminance, 1.0-luminance, texel.a) ;

  // sepia
  // gl_FragColor = vec4(luminance+0.1912, luminance-0.0544, luminance-0.2210, texel.a) ;
}
